#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-extra-views
export PYBUILD_BEFORE_TEST=cp -r {dir}/tox.ini {dir}/manage.py {dir}/extra_views_tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/extra_views_tests {build_dir}/tox.ini {build_dir}/manage.py
export PYBUILD_TEST_ARGS=-k "not test_missing_management"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-extra-views-doc/usr/share/doc/python-django-extra-views-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean
